## javax.servlet.http
Interface ProtocolHandler

    public interface ProtocolHandler

This interface encapsulates the upgrade protocol processing. A protocol handler implementation would allow the servlet container to communicate with it.

Since:
  Servlet 3.1

Method Summary
`void` `init(WebConnection wc)` It is called once the HTTP Upgrade process has been completed and the upgraded connection is ready to start using the new protocol.

Method Detail

### init

    void init(WebConnection wc)

  It is called once the HTTP Upgrade process has been completed and the upgraded connection is ready to start using the new protocol.

  Parameters:
    `wc` - the WebConnection object associated to this upgrade request

Copyright © 2012 GlassFish Community. All Rights Reserved.